@charset "utf-8";

:root {
  --text-color: #152233;
  --bg-color: #FCFCFC;
  --lyseblaa: #daedf3;
  --blaaSort: #0f2b3c;
}

*, *:after, *:before {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.unselectable {
  -moz-user-select: -moz-none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  -o-user-select: none;
  user-select: none;
}

::-webkit-scrollbar {
  width: 0.65em;
  background-color: transparent;
}
::-webkit-scrollbar-thumb {
  background-color: rgba(0,0,0,0.35);
  border: none;
}
::-webkit-scrollbar-track {
  box-shadow: none;
  background-color: transparent;
}

img {
  max-width: 100%;
  height: auto;
}

img.signature {
  width: 240px; /* 360px; */
  height: auto;
}

img.frontImage {
  max-height: calc(80dvh - 2em); /* calc(100dvh - 2em); */
  max-width: 80%; /* 100%; */
  height: auto;
  margin-top: 1em;
}

a.noStyle {
  border-right: 0px !important;
  visibility: hidden;
}


/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* SITE SPECIFIC styling ++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

html {
  height: 100%;
  width: 100%;
}

body {
  background: var(--bg-color);
  color: var(--text-color);
  font-family: 'Cousine', monospace;
  font-size: 13px;
  margin: 0px;
  padding: 0px;
  overflow-x: hidden;
}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* TYPE STUFF */

h1, h2, h3, h4, h5, h6 {
  margin: 0px 0px 1.125em 0px;
  letter-spacing: 0;
  font-family: 'Open Sans';
  font-weight: 700;
  line-height: 1.25em;
}
h2 {
  font-size: 3em;
  font-size: 1.75em;
}
h3 {
  font-size: 1.5em;
}
h4 {
  font-size: 1.5em;
  margin: 0px 0px 1.5em 0px;  
}


p {
  margin: 0px 0px 1.5rem 0px;
}
p.centered {
  text-align: center;
}

p a {
  text-decoration: none;
  padding: 0px 1px;
  color: white;
  color: rgba(255,255,255,0.85);
  background-color: #333;
  background-color: rgba(0,0,0,0.5);
  outline: 0;
}


/* INLINE LINKS */
a { text-decoration: none; color: tomato; outline: 0; }
a:active, a:focus { outline: 0; }
a:hover { text-decoration: underline; outline: none; }
a img {
  border: 0px;
}


/* *************************************************************************** */
/* BG CLASSES */

.c8d4c7 {
  background-color: #c8d4c7;
}

/* TONIs bgs */
.lyseblaa {
  background-color: #9abfd4;
  background-image: url(../images/bgs/lyseblaa.jpg);
  background-repeat: repeat;
}
.terracotta {
  background-color: #b47856;
  background-image: url(../images/bgs/terracotta.jpg);
  background-repeat: repeat;
}
.redViolet {
  background-color: #884056;
  color: var(--lyseblaa) !important;
  background-image: url(../images/bgs/redviolet.jpg);
  background-repeat: repeat;
}
.redViolet #mobileNavWrapper li a {
  color: var(--lyseblaa) !important;
}
.redViolet #mobileNavWrapper li a.activeAnchor::before,
.redViolet #mobileNavWrapper li a:hover::before {
  border-left: 6px solid var(--lyseblaa) !important;
}
.cromeoxydGreen {
  background-color: #50624a;
  color: var(--lyseblaa) !important;
  background-image: url(../images/bgs/cromeoxydGreen.jpg);
  background-repeat: repeat;
}
.cromeoxydGreen #mobileNavWrapper li a {
  color: var(--lyseblaa) !important;
}
.cromeoxydGreen #mobileNavWrapper li a.activeAnchor::before,
.cromeoxydGreen #mobileNavWrapper li a:hover::before {
  border-left: 6px solid var(--lyseblaa) !important;
}
.lightGreen {
  background-color: #b2ca96;
  color: var(--blaaSort) !important;
  background-image: url(../images/bgs/lightGreen.jpg);
  background-repeat: repeat;  
}
.lightGreen #mobileNavWrapper li a {
  color: var(--blaaSort) !important;
}
.lightGreen #mobileNavWrapper li a.activeAnchor::before,
.lightGreen #mobileNavWrapper li a:hover::before {
  border-left: 6px solid var(--blaaSort) !important;
}


/* *************************************************************************** */
/* MOBILE NAV WRAPPER */

#mobileNavWrapper {
  height: 27em;
  overflow: hidden;
  transition: all 250ms ease-in-out;
}

#mobileNavWrapper.hide {
  height: 2em;
}


/* overview wrappers */

.overviewWrapper {
  display: flex;
  flex-wrap: wrap;
}
.overviewWrapper .item {
  /* width: max-content; */
  margin: 0px 0.75em 0.75em 0px;
}
.overviewWrapper .item a {
  display: flex;
}



/* *************************************************************************** */
/* GALLERY overview */

.galleryWrapper {
  display: grid;
  grid-gap: 1em;
  margin-bottom: 1.5em;
}
.galleryWrapper img {
  max-height: calc(100dvh - 2em);
}


/* *************************************************************************** */
/* CV overview */


.CVWrapper .YearRow {
  padding: 0.35em 0px 0px 0px;
}

.CVWrapper h3 {
  margin: 1.75em 0px 0.8em 0px;
  font-size: 21px;
}
.CVWrapper h3:first-of-type {
  margin: 0px 0px 0.8em 0px;
}


.CVWrapper .YearRow .left {
  display: inline;
  opacity: 0.65;
  padding: 0px 0.5em 0px 0px;
  line-height: 1.25em;
}

.CVWrapper .YearRow .right {
  display: inline;
  line-height: 1.25em;
}


.CVWrapper .YearRow:last-of-type {
  margin-bottom: 1.5em;
}



/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* THERE ARE STYLESHEETS ATTACHED TO THIS formatting */

/* grids */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
@media screen {

  body {
    font-size: 16px;
    line-height: 1.4em;    
    overflow-y: auto;
  }

  .pageWrapper {
    padding: 1em;
    display: grid;
    grid-template-columns: 1fr;
  }

  .pageWrapper > header {
    display: block;
    width: auto; /* 370px; */
    position: relative;
    margin-left: -1em;
    margin-bottom: 2em;
  }

  /* mobile nav */
  a#menuBtn {
    display: block;
    position: absolute;
    top: 0px; /* -0.375em; /* 0px; */
    right: 0px; /* -0.325em; /* 0px; */
    cursor: pointer;
    width: 1.5em;
    height: 1.5em;
    background-color: #222;
    color: white;
    text-align: center;
    font-size: 24px; /* 2em; */
    line-height: 1.5em;
  }
  a#menuBtn:hover {
    text-decoration: none;
  }
  #mobileNavWrapper {
    padding-top: 0.5em;
  }


  header ul {
    list-style-type: none;
    padding: 0px;
    margin: 0px;
  }

  header ul li {
    display: block;
  }

  /* menu link color */
  header ul li a {
    color: var(--text-color);
  }

  /* LOGO is the first link in menu */
  header > div > div > ul > li:first-of-type a {
    font-weight: bold;
    margin-bottom: 2em;
  }


  /* first level menu */
  header > div > div > ul > li a {
    display: block;
    width: max-content;
    padding-left: 1em;
    position: relative;
  }

  header > div > div > ul > li a:hover {
    text-decoration: none;
  }

  /* marker on the left of menu item */
  header > div > div > ul > li a:hover::before {
    border-left: 6px solid rgba(0, 0, 0, 0.3);
  }
  header > div > div > ul > li a::before {
    position: absolute;
    bottom: 50%;
    left: 0;
    display: block;
    width: 12px;
    height: 12px;
    z-index: 400;
    content: " ";
    border: 6px solid transparent;
      border-left-width: 6px;
      border-left-style: solid;
      border-left-color: transparent;
    margin-bottom: -6px;
  }

  /* active */
  header > div > div > ul > li a.activeAnchor::before {
    border-left: 6px solid #333;
  } 
  

  /* margin after first work link */
  header > div > div > ul:first-of-type > li:nth-child(2) {
    margin-bottom: 2em;
  }
  /* margin after last link -> space for archive */
  header > div > div > ul > li:last-of-type {
    margin-top: 1em;
  }

  /* second level menu */
  header ul li ul {
    display: block;
  }
  header > div > div > ul > li > ul > li a {
    padding-left: 2em; /* 3.125em; */
    position: relative;
  }
  header > div > div > ul > li > ul > li a:hover {
    text-decoration: none;
  }  


}


/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 400px) {



}


/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 800px) {



}



/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* 4. */
@media screen and (min-width: 1024px) {


  .pageWrapper {
    display: block;
    padding: 2em;
    padding-left: 0px;
  }

  .pageWrapper > header {
    display: block;
    width: 370px;
    position: fixed;
    margin-left: 0px;
  }

  .pageWrapper > div:first-of-type {
    margin-left: 370px;
    display: block;
    width: calc(100dvw - 400px);
  }


  /* mobile nav */
  a#menuBtn {
    display: none;
  }
  #mobileNavWrapper {
    padding-top: 0px;
    transition: none;
  }
  #mobileNavWrapper.hide {
    height: 27em !important;
  }
  
  
  /* first level menu */
  header > div > div > ul > li a {
    padding-left: 2em;
  }

  /* margin after first work link */
  header > div > div > ul:first-of-type > li:nth-child(2) {
    margin-bottom: 2em;
  }
  /* margin after last link -> space for archive */
  header > div > div > ul > li:last-of-type {
    margin-top: 1em;
  }

  /* second level menu */
  header > div > div > ul > li > ul > li a {
    padding-left: 3.125em;
  }


}



/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */


/* cousine-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cousine';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/cousine-v27-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* cousine-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cousine';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/cousine-v27-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* cousine-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cousine';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/cousine-v27-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* cousine-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cousine';
  font-style: italic;
  font-weight: 700;
  src: url('../fonts/cousine-v27-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}


/* ********************************************************** */
/* open-sans-300 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 300;
  src: url('../fonts/open-sans-v40-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-300italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 300;
  src: url('../fonts/open-sans-v40-latin-300italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/open-sans-v40-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/open-sans-v40-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/open-sans-v40-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-500italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 500;
  src: url('../fonts/open-sans-v40-latin-500italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 600;
  src: url('../fonts/open-sans-v40-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-600italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 600;
  src: url('../fonts/open-sans-v40-latin-600italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/open-sans-v40-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 700;
  src: url('../fonts/open-sans-v40-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-800 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 800;
  src: url('../fonts/open-sans-v40-latin-800.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-800italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 800;
  src: url('../fonts/open-sans-v40-latin-800italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

